// aplDialogBar.cpp : implementation file
//

#include "stdafx.h"
#include "apl_gui.h"

// CaplDialogBar

IMPLEMENT_DYNAMIC(CaplDialogBar, CDialogBar)

CaplDialogBar::CaplDialogBar()
{

}

CaplDialogBar::~CaplDialogBar()
{
}


BEGIN_MESSAGE_MAP(CaplDialogBar, CDialogBar)
	ON_MESSAGE(WM_INITDIALOG, &CaplDialogBar::HandleInitDialog)
END_MESSAGE_MAP()



// CaplDialogBar message handlers

LRESULT CaplDialogBar::HandleInitDialog(WPARAM wParam, LPARAM lParam)
{
	if (CaplTranslate::IsNeedTranslate())
	{
		// переводим заголовок диалога
		CString sText;
		GetWindowText(sText);
		SetWindowText(CaplTranslate::Translate(sText));

		// бежим по всем контролам и переводим
		CWnd *pWndChild = GetWindow(GW_CHILD);
		while(pWndChild)
		{
			pWndChild->GetWindowText(sText);
			pWndChild->SetWindowText(CaplTranslate::Translate(sText));
			pWndChild = pWndChild->GetNextWindow();
		}
	}

	return TRUE;
}
